Problem running sideMenu demo app (or any app) in iOS Simulator


#1

I’m able to run my apps in a browser (ionic serve), but when I try to run in iOS simulator, the app just shows the splash screen and it hangs there forever. I believe I have all the latest versions. Ionic info shows:
Cordova CLI: 6.0.0
Gulp version: CLI version 3.9.1
Gulp local:
Ionic Version: 1.2.4
Ionic CLI Version: 1.7.14
Ionic App Lib Version: 0.7.0
ios-deploy version: 1.8.5
ios-sim version: 5.0.6
OS: Mac OS X El Capitan
Node Version: v5.3.0
Xcode version: Xcode 7.2.1 Build version 7C1002

I built the sideMenu demo app with these commands:

  • ionic start myapp sideMenu
  • cd myapp
  • ionic platform add ios
  • ionic build ios
  • ionic emulate ios -cls

The simulator opens and the splash screen shows up, but nothing else happens.
I have tried

  • ionic platform remove ios (and then adding it back in).
  • reinstalling xcode
  • updating ionic and cordova

I do not see any errors in the console when testing on a browser.
In the console output from the simulator I see things like:

SpringBoard[7702]: Unable to simultaneously satisfy constraints.
"<NSLayoutConstraint:0x7ffdedb1e2d0 UILabel:0x7ffdeda36db0’ '.leading == SPUISearchTableHeaderView:0x7ffdedb11740.leadingMargin>",

Installed apps did change.
Added: {(
)}
Removed: {(
)}
Modified: {(
“com.ionicframework.starter”

assertiond[7707]: assertion failed: 15D21 13C75: assertiond + 12188 [8CF1968D-3466-38B7-B225-3F6F5B64C552]: 0x1

tccd[7732]: Refusing client without bundle identifier (/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator.sdk/System/Library/PrivateFrameworks/MusicLibrary.framework/Support/medialibraryd)

SpringBoard[7702]: Beginning check for asset updates (force: 0

SpringBoard[7702]: Did not complete check for asset updates (force: 0, isVoiceOverRunning: 0

routined[7692]: CoreLocation: Error occurred while trying to retrieve motion state update: CMErrorDomain Code:104

But I don’t know if any of the above is significant.

Are there any patches that are still required with these versions of ionic to work with iOS9?
Thanks for any help… I’m at a loss for what to try next.


#2

Did you ever solve this?